---
apiVersion: v1
kind: Secret
metadata:
  name: freeleaps-main-secret-store-azure-creds
  namespace: freeleaps-devops-system
type: Opaque
data:
  client-id: N2NkMWRmMTktMjRlYS00NmQ3LWFjZDMtNTMzNjI4MzEzOWUw
  client-secret: WE15OFF+WGJzZ2lYQzZZcm03dkNSQ3NIZExoUXBJTVlDU1J2Z2NMSA==
---
apiVersion: freeleaps.com/v1alpha1
kind: FreeleapsSecretStore
metadata:
  name: freeleaps-main-secret-store
spec:
  provider:
    azurekv:
      tenantId: "cf151ee8-5c2c-4fe7-a1c4-809ba43c9f24"
      vaultUrl: "https://freeleaps-main.vault.azure.net/"
      vaultName: "freeleaps-main"
      subscriptionId: "1b7a028d-7d8b-4f41-b467-0efeb04c5b5a"
      resourceGroup: "freeleaps"
      authSecretRef:
        clientId:
          name: freeleaps-main-secret-store-azure-creds
          key: client-id
          namespace: freeleaps-devops-system
        clientSecret:
          name: freeleaps-main-secret-store-azure-creds
          key: client-secret
          namespace: freeleaps-devops-system
